Subject: Re: Some Perl notes
From: Reini Urban <[email-masked]>
To: [email-masked]
Date: Wed, 14 Apr 2010 12:50:39 +0200
List-Id: <cygwin.cygwin.com>

2010/4/13 Dr. Volker Zell:
>>>>>> Reini Urban writes:
>
>    > man
>    > ===
>    > I'm still waiting for a man update to support perl-style :: conversion to .
>    > http://sourceware.org/ml/cygwin/2009-09/msg00097.html
>
> Hi Reini
> Sorry I only saw your mail today.
> Is that really needed ?
>
> For example, lets take the man page
>  o /usr/share/man/man3/Test.Simple.3pm.gz
> For me in cygwin 1.5 and 1.7 the following already displays the right
> man page -> Test::Simple(3pm)
>  o man 3 Test.Simple
> and
>  o man 3 Test::Simple
>
> So what's the benefit of your patch ?

You are right. Looks like "::" are already correctly translated to "."

$ man Compress::Raw::Bzip2
works

Using the original
$ /bin/man.exe --version
man, version 1.6e

and not my new version 1.6f.
As I understood it, version 1.6e converted "::" to "?", and it did not
work me that time.
2009-09-03 Reini Urban <[email-masked]>
	* (src/manfile.h, src/manfile.c): replace the : reclacement
	char ? with . to sync with perl on win32.

Lets put that aside.
But maybe move man.conf from /usr/share/misc to /etc
Thanks for checking!
-- 
Reini Urban
http://phpwiki.org/           http://murbreak.at/

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple